
Foreman - Bug #3025

Supplying no HTTP auth credentials results in server error

09/04/2013 07:56 PM - Dominic Cleal

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Authentication   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

An error in the controller is showing up when accessing the API without supplying any credentials for HTTP auth.

$ curl -s -H 'Accept: application/json' http://0.0.0.0:3000/api/hosts | json_reformat 

{

    "error": {

        "message": "undefined method `user' for nil:NilClass" 

    }

}

 
Started GET "/api/hosts" for 127.0.0.1 at 2013-09-04 20:47:42 +0100

Processing by Api::V1::HostsController#index as JSON

undefined method `user' for nil:NilClass (NoMethodError)

/home/dcleal/code/foreman/foreman/app/controllers/api/base_controller.rb:81:in `authorize'

Related issues:

Has duplicate Foreman - Bug #2855: API authentication controller does not fai... Closed 07/29/2013

History

#1 - 09/16/2013 12:25 PM - Lukas Zapletal

- Target version changed from 1.3.0 to 1.4.0

#2 - 09/16/2013 12:41 PM - Lukas Zapletal

- Has duplicate Bug #2855: API authentication controller does not fail gracefully added

#3 - 09/16/2013 04:57 PM - Dominic Cleal

- Status changed from New to Duplicate

#4 - 09/16/2013 04:57 PM - Dominic Cleal

- Target version deleted (1.4.0)
